VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vapi::metadata::metamodel::FieldInfo Class Reference

The `FieldInfo` class contains metamodel information of a field element contained in a structure element. More...

List of all members.

## Public Member Functions
| FieldInfo ()
| Creates a default new instance.
string | GetName ()
| Name of the field element in a canonical format.
void | SetName (string name)
| Name of the field element in a canonical format.
vmware.vapi.metadata.metamodel.Type | Get_Type ()
| Type information.
void | SetType (vmware.vapi.metadata.metamodel.Type type)
| Type information.
global::System.Collections.Generic.Dictionary < string, vmware.vapi.metadata.metamodel.ElementMap > | GetMetadata ()
| Generic metadata elements for the field element.
void | SetMetadata (global::System.Collections.Generic.Dictionary< string, vmware.vapi.metadata.metamodel.ElementMap > metadata)
| Generic metadata elements for the field element.
string | GetDocumentation ()
| English language documentation for the service element.
void | SetDocumentation (string documentation)
| English language documentation for the service element.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `FieldInfo` class contains metamodel information of a field element contained in a structure element.

## Constructor & Destructor Documentation

vmware::vapi::metadata::metamodel::FieldInfo::FieldInfo | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vapi::metadata::metamodel::FieldInfo::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vapi::metadata::metamodel::FieldInfo::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vapi::metadata::metamodel::FieldInfo::_GetType | ( |  | ) | `[inline]`

bool vmware::vapi::metadata::metamodel::FieldInfo::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vapi::metadata::metamodel::FieldInfo::_Validate | ( |  | ) | `[inline]`

override bool vmware::vapi::metadata::metamodel::FieldInfo::Equals | ( | object | obj | ) | `[inline]`

vmware.vapi.metadata.metamodel.Type vmware::vapi::metadata::metamodel::FieldInfo::Get_Type | ( |  | ) | `[inline]`

Type information.

string vmware::vapi::metadata::metamodel::FieldInfo::GetDocumentation | ( |  | ) | `[inline]`

English language documentation for the service element.

It can contain HTML markup and Javadoc tags.

override int vmware::vapi::metadata::metamodel::FieldInfo::GetHashCode | ( |  | ) | `[inline]`

global::System.Collections.Generic.Dictionary<string, vmware.vapi.metadata.metamodel.ElementMap> vmware::vapi::metadata::metamodel::FieldInfo::GetMetadata | ( |  | ) | `[inline]`

Generic metadata elements for the field element.

The key in the map is the name of the metadata element and the value is the data associated with that metadata element.

The MetadataIdentifier contains possible string values for keys in the map.

string vmware::vapi::metadata::metamodel::FieldInfo::GetName | ( |  | ) | `[inline]`

Name of the field element in a canonical format.

The format is lower case with underscores. Each underscore represents a word boundary. If there are acronyms in the word, the capitalization is preserved. This format makes it easy to translate the segment into a different naming convention.

void vmware::vapi::metadata::metamodel::FieldInfo::SetDocumentation | ( | string | documentation | ) | `[inline]`

English language documentation for the service element.

It can contain HTML markup and Javadoc tags.

void vmware::vapi::metadata::metamodel::FieldInfo::SetMetadata | ( | global::System.Collections.Generic.Dictionary< string, vmware.vapi.metadata.metamodel.ElementMap > | metadata | ) | `[inline]`

Generic metadata elements for the field element.

The key in the map is the name of the metadata element and the value is the data associated with that metadata element.

The MetadataIdentifier contains possible string values for keys in the map.

void vmware::vapi::metadata::metamodel::FieldInfo::SetName | ( | string | name | ) | `[inline]`

Name of the field element in a canonical format.

The format is lower case with underscores. Each underscore represents a word boundary. If there are acronyms in the word, the capitalization is preserved. This format makes it easy to translate the segment into a different naming convention.

void vmware::vapi::metadata::metamodel::FieldInfo::SetType | ( | vmware.vapi.metadata.metamodel.Type | type | ) | `[inline]`

Type information.

override string vmware::vapi::metadata::metamodel::FieldInfo::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- FieldInfo.cs